<div class="overflow-hidden container-border container-background-color p-10">
  <div class="tree-picker flex-column">
    <div class="full-height">
      <sqtm-core-campaign-picker
        #picker
        [sqtmCoreWorkspace]="'campaign-workspace'"
        [localTheme]="true"
        [initialSelectedNodes]="initialSelectedNodes"
        [enableMultiRowSelection]="true"
      >
      </sqtm-core-campaign-picker>
    </div>
    <div class="flex-fixed-size p-10 flex-row">
      <button
        [attr.data-test-element-id]="'confirm'"
        class="m-l-auto"
        nz-button
        nzType="primary"
        [disabled]="!(canConfirm$ | async)"
        (click)="handleConfirm()"
      >
        {{ 'sqtm-core.generic.label.confirm' | translate }}
      </button>
      <button
        [attr.data-test-element-id]="'cancel'"
        class="m-l-10"
        nz-button
        nzType="default"
        (click)="handleClose()"
      >
        {{ 'sqtm-core.generic.label.cancel' | translate }}
      </button>
    </div>
  </div>
</div>
